Update Document Details Linked with Shipment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

HTTP Method: PUT

Endpoint URL: https://coreapi.impexdocs.com/api/v1/documents/{shipmentdocs_id}

Authentication: Required

Response Format: JSON

Description

To modify a Document, make a PUT request to the specified endpoint with the required information. The response will be a JSON object containing:

  • Response Code
  • Message

Request

Path Parameter

  • Shipment Docs ID (shipmentdocs_id): The identifier generated during the creation of a new Shipment. Retrieve this ID from the response of the POST Shipment API.

Main Fields

  • Shipment Status (shipment_status): This field defines the status of Shipment. When creating, pass the default value "Created."
  • Sequence (sequence): This defines the sequence number of the document attached with shipment. Sequence number for documents should be greater than 1, since sequence of 'Master' document will be either '0' or '1'.
  • Document (document): This field defines document that will be created and linked with shipment.
  • Document Name (document_name): This specifies the name that the user wishes to assign to the document being created.
  • Output Type (output_type): This specifies the output type of the document being created.

Example Path Parameter

https://coreapi.impexdocs.com/api/v1/documents/your_shipmentdocs_id

Example Request

Ensure to include the Shipment Docs ID in the path and provide any additional fields that need modification in the request JSON.

Response

The API will respond with a JSON object containing:

  • Response Code
  • Message

Example Response JSON

{
  "response_code": 200,
  "message": "Document modified successfully"
}

Note

  • Ensure proper authentication before making the request.
  • Use the Shipment Docs ID obtained during the creation of the Shipment for the path parameter.
  • Provide the necessary fields to be modified in the request JSON.
Path Params
uuid
required
Body Params
string | null

Unique identification and mandatory field to create and update a shipment record. If system generated numbering do not send a value, if the numbering is from an external system, a unique value is required

string | null

This is the Current Status of the Shipment. While creating shipment, default value "Created" needs to be passed.

string
required
string | null

This is Status of the Document.

int32
required

This defines the sequence number of the document attached with shipment.
Sequence of 'Master' document will be either '0' or '1'.

string
required
string | null

This is the default and required field for a Shipment It can influence numbering and screen.Default value to be sent : SH

uuid | null

This the Booking Id. If value is passed, Shipment will be linked with Booking.
To link Booking with Shipment, Booking needs to be created before Shipment.

string | null

Requires to be an email address of the user who has a login in Impexdocs. Optional field

header_details
object

object for HeaderDetails

payment_details
object
processing_dates
object
additional_info
object
other_info
object
partner
array of objects | null
partner
exporter_bank
object
buyer_bank
object
product_detail
object
external_documents
array of objects | null
external_documents
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json